<?php
#=

/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii/Melia.

Gibii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
include("../include/login.inc.php");
connecte($host,$user,$mdp,$db);
$etab_id=(int) $_REQUEST['etab_id'];
//conflitCookie();
if ($etab_id==NULL || $etab_id<=0) header("Location: ../index.php");
createSession($etab_id);

//Vérif cohérence des versions de GiBii et du référentiel B2i
getparams();
$vv=verif_version();
if (!$vv) {
    alert("Incohérence entre votre version de GiSCCo ($VERSION_GIBII) et le référentiel du B2i ($VERSION_B2I)\nVous devez passer le script de conversion du référentiel sur la v. 4.7 avant de passer à la v. $VERSION_GIBII");
    exit;
    }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Ouverture de session GiSCCo<?php //print $MODULE; ?></title> 
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<script language="javascript" type="text/javascript" src="../include/md5.js"></script>
<script language="javascript" type="text/javascript" src="../include/login.js"></script>
<base target='_self'>
</head>


<?php
//######################### AUTHENTIFICATION ####################
//A ce niveau on connaît le type d'authentification pour l'établissement
//Par défaut c'est 1 (base GiBii) dans les autres cas, on récupère les données
//et paramètres correspondants
//###############################################################
$entree_SSO=0;
if ($etab_typauth_id>1 and $etab_typauth_id!=3) getparams_auth($etab_id);
switch ($etab_typauth_id)  {
  case 3:
       //On ne se retrouve ci qui si on se loge hors SSO, par exemple pour les comptes gestion et admin...
       //Pour le moment on laisse passer....
       //Donc on passe directement en base
       $ta=1;
       break;
       
  case 2:
       //LDAP : on passe par le formulaire GiBii
       //Récup des données d'authentification
       //alert("authentification par LDAP\nLDAP_SERVER=$ldap_server\nLDAP_PORT=$ldap_port\nLDAP_DN=$ldap_basedn");
       $ta=2;
       break;
       
   default:
       //cas général Base authentification par GiBii localement
       //alert("authentification Interne");
   		$ta=1;
} //Fin du switch du type d'authentification

print "<body class='arial' onload=\"document.formlogin.s_login.focus();\">";
if ($MODULE=='Melia')
   $entete="GiSCCo Copyright 2008 - Fabien NGUYEN<br>basé sur GiBii 5.2.1 Copyright 2002-2007, Daniel Deycard, Jacques Messines,
                        Stéphanie Roussel, Jean-Marie Treins  (CATICE Académie de Bordeaux)";
else
   $entete="GiSCCo Copyright 2008 - Fabien NGUYEN<br>basé sur GiBii 5.2.1 Copyright 2002-2007, Daniel Deycard, Jacques Messines,
                        Jean-Marie Treins, Alain Pomirol  (CATICE Académie de Bordeaux)";

   //Formulaire de login interne, sinon on aura dégagé avant...
   include("login_form.php");
   include("mention.php");
   print "</body>";
   print "</html>";
?>